// (c) MIT 2003.  All rights reserved.

package rec.simulate.reasoners;

import java.io.*;
import java.util.*;
import rec.util.*;
import rec.sys.*;
import rec.simulate.widgets.*;


public class SimTorqueReasoner extends Reasoner 
{
    public SimTorqueReasoner()
    {
	super();
    }
    
    public Iterator getStrongerTypes()
    {
	Vector v = new Vector();
	
	v.addElement( "rec.simulate.widgets.WSimTorque" );

	return v.iterator();
    }
    
    public Iterator getWeakerTypes()
    {
	Vector v = new Vector();
	
	v.addElement( "rec.simulate.widgets.WSimAnchor" );
	
	return v.iterator();
    }
    
    public boolean match( Surface s, Widget stronger, Widget weaker )
    {
	
	
	if ( stronger instanceof WSimTorque &&
	     weaker instanceof WSimAnchor) {
	    return true;
	}
	else {
	    return false;
	}
	
	
    }
    
    
}
